Download it now!
Bug 49168 - Create a bugzilla bot that warns about changing the version field to something newer
Summary: Create a bugzilla bot that warns about changing the version field to somethin...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: WWW (show other bugs)
Version:
(earliest affected)
4.0.6.2 release
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: difficultyInteresting, easyHack, topicQA
Depends on:
Blocks:
 
Reported: 2012-04-26 02:11 UTC by Björn Michaelsen
Modified: 2016-02-18 16:37 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Michaelsen 2012-04-26 02:11:14 UTC
Inexperienced users often update the version field in bugzilla when they find a bug is also present in a newer version. This is incorrect as the version field should show the first version were the error occurred. QA members waste a lot of time writing bulk statements asking the changer to confirm his choice to be intentional. It would be great to have a bot that posts something alone the lines of:
"Dear $changemaker, you changed the version field of this bug to a newer version. Please be advised that the version field of a bug should show the oldest version were the issue is found, not the newest (see $wikilink for details). Please recheck your change and revert it unless the bug was indeed not present in the old version specified before your change."
as a comment everytime somebody changes the version field to something newer.
Comment 1 Roman Eisele 2012-05-27 02:16:27 UTC
The appropriate Component is (IMHO) "WWW".
This is an enhancement request, therefore changed Importance accordingly.
And I can confirm that this would be a very very useful feature, therefore I change Status to "NEW" -- and second this enhancement request from the bottom of my heart ;-)
Comment 2 Rainer Bielefeld Retired 2012-07-07 22:38:33 UTC
The problem will probably be fixed by some JavaScript addition with the planned Bugzilla Improvement 2012 <https://wiki.documentfoundation.org/QA-ImprovingBugzilla#Show_warning_if_users_change_version_to_a_later_one>
Comment 3 Björn Michaelsen 2013-10-04 18:46:03 UTC
adding LibreOffice developer list as CC to unresolved EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 4 Jorendc 2013-12-30 17:30:53 UTC
This is implemented :-). So lets close this one.
Comment 5 retired 2013-12-31 01:12:03 UTC
Wow this is awesome. Should save the QA team a lot of time. Thanks to all involved getting this setup!
Comment 6 Robinson Tryon (qubit) 2015-12-10 12:12:28 UTC Comment hidden (obsolete)
Comment 7 Robinson Tryon (qubit) 2016-02-18 16:37:03 UTC Comment hidden (obsolete)